Bug 151507

Summary: Nicknames from ICQ contacts are not updated
Product: kopete Reporter: Philipp Weiß <Bugs>
Component: generalAssignee: Kopete Developers <kopete-bugs-null>
Status: RESOLVED FIXED    
Severity: normal    
Priority: NOR    
Version: unspecified   
Target Milestone: ---   
Platform: unspecified   
OS: Linux   
Latest Commit: Version Fixed In:

Description Philipp Weiß 2007-10-29 14:24:04 UTC
Version:           0.12.6 (using KDE 3.5.7 "release 72.2" , openSUSE 10.3)
Compiler:          Target: x86_64-suse-linux
OS:                Linux (x86_64) release 2.6.22.9-0.4-default

Same as Bug 105789 still/again in Version 0.12.6 (KDE 3.5.7) although Bug 105789 is reported to be fixed.
Comment 1 Philipp Weiß 2007-10-29 14:29:07 UTC
Sorry, there is a mistake in the Bug report.
I meant same as Bug 105786.
Comment 2 Roman Jarosz 2007-10-29 15:11:52 UTC
I have some questions.

If you open ICQ User Info dialog does it update the nickname?
Are you sure that you didn't set alias for that contact in other client?

Thanks
Comment 3 der Graph 2007-10-29 18:06:27 UTC
I have recently seen the same behaviour:

One ICQ contact still had a very old nickname, but not in the user info screen. I had even tried to set and then unset an alias, but that didn't help.

I'm sorry I cannot answer your second question, but as far as I recall I didn't use any other client even since before I added that person into my contact list. No guaranty there, however.
Comment 4 Philipp Weiß 2007-10-29 18:57:30 UTC
I open the User Info, but the nickname in the Contact List was still the old one, although the nickname in the User Info was the new one.
I also tried leaving the User Info window open for some time (Somewhere I read something like giving kopete time to update) but still no effect...

The second question I can't answer either.
Comment 5 Roman Jarosz 2007-10-29 19:33:08 UTC
You can check if you have an alias for contact in contactlist.xml. 

1. quit Kopete
2. open ~/.kde/share/apps/kopete/contactlist.xml
3. look for <plugin-data-field key="ssi_alias" ></plugin-data-field>
Comment 6 Philipp Weiß 2007-10-30 11:37:30 UTC
There are only few contacts in my contact list which have this data field empty. One of them actually recently changed her nickname, but the name was updated on opening the info window.

However, there is at least one contact in my list where the new nickname is not updated. The corresponding line in the contactlist.xml says:
<plugin-data-field key="ssi_alias" >oldnickname</plugin-data-field>

I've also tried editing the contactlist.xml with no effect. So this seems to be a server-side setting, which kopete doesn't change.
Comment 7 Roman Jarosz 2007-10-30 12:08:34 UTC
> However, there is at least one contact in my list where
> the new nickname is not updated. The corresponding
> line in the contactlist.xml says: 
> <plugin-data-field key="ssi_alias" >oldnickname</plugin-data-field>

This means that you have set alias for that contact and that alias is stored on server. Unfortunately there's no way to change it in Kopete :( so you will always see alias (bug 124940) until you change or remove it in other client (for instance in go.icq.com)

I will try to push a patch to KDE 4.0 that will allow you to change/remove server alias.

Comment 8 Roman Jarosz 2007-11-01 19:12:09 UTC
SVN commit 731724 by rjarosz:

Allow user to change server side aliases.

BUG: 151507
BUG: 140816
GUI:



 M  +14 -1     icq/icqcontact.cpp  
 M  +1 -0      icq/icqcontact.h  
 M  +43 -78    icq/ui/icqgeneralinfo.ui  
 M  +65 -61    icq/ui/icquserinfowidget.cpp  
 M  +3 -2      icq/ui/icquserinfowidget.h  
 M  +41 -0     liboscar/client.cpp  
 M  +7 -0      liboscar/client.h  
 M  +4 -0      liboscar/contact.cpp  
 M  +9 -0      liboscar/tasks/ssimodifytask.cpp  
 M  +4 -1      liboscar/tasks/ssimodifytask.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=731724